<?php

require_once("../config/conexion.php");
require_once("../models/Biblioteca.php");
require_once("../models/Permisos.php");
$biblioteca = new Biblioteca();

switch ($_GET["op"]) {
    case "comboClasificacion":
        $datos = $biblioteca->Consultar("all");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['clasificaciondbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboSubClasificacion":
        $datos = $biblioteca->ConsultarFiltro($_POST["clasificaciondbk"]);
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['subclasificaciondbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboTipo":
        $datos = $biblioteca->Consultar("tipo");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['tipo'] . "'>" . $row['tipo'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAnio":
        $datos = $biblioteca->Consultar("anioL");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['anio'] . "'>" . $row['anio'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAutor":
        $datos = $biblioteca->Consultar("autorL");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['autor'] . "'>" . $row['autor'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAnioA":
        $datos = $biblioteca->Consultar("anioA");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['anio'] . "'>" . $row['anio'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAutorA":
        $datos = $biblioteca->Consultar("autorA");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['autor'] . "'>" . $row['autor'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAnioT":
        $datos = $biblioteca->Consultar("anioT");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['anio'] . "'>" . $row['anio'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAutorT":
        $datos = $biblioteca->Consultar("autorT");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['autor'] . "'>" . $row['autor'] . "</option>";
            }
            echo $html;
        }
        break;        
    case "comboAnioR":
        $datos = $biblioteca->Consultar("anioR");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['anio'] . "'>" . $row['anio'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAutorR":
        $datos = $biblioteca->Consultar("autorR");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['autor'] . "'>" . $row['autor'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAnioV":
        $datos = $biblioteca->Consultar("anioV");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['anio'] . "'>" . $row['anio'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAutorV":
        $datos = $biblioteca->Consultar("autorV");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['autor'] . "'>" . $row['autor'] . "</option>";
            }
            echo $html;
        }
        break;
    case "listar":
        $datos = $biblioteca->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("BIBLIOTECA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $crear = $row["crear"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["librodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["anio"];
            $sub_array[] = $row["tipo"];
            $sub_array[] = $row["autor"];
            if(($_GET["fil"]=='revista')||($_GET["fil"]=='articulo')||($_GET["fil"]=='libro')){
                $sub_array[] = $row["editorial"];
                $sub_array[] = $row["isbn"];
            }
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="leerL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-primary btn-icon"><div>Ver</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "buscarL":
        $datos = $biblioteca->BuscarL($_GET["a"], $_GET["b"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("BIBLIOTECA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $crear = $row["crear"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["librodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["anio"];
            $sub_array[] = $row["tipo"];
            $sub_array[] = $row["autor"];
            $sub_array[] = $row["editorial"];
            $sub_array[] = $row["isbn"];
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="leerL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-primary btn-icon"><div>Ver</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "buscarA":
        $datos = $biblioteca->BuscarA($_GET["a"], $_GET["b"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("BIBLIOTECA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $crear = $row["crear"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["librodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["anio"];
            $sub_array[] = $row["tipo"];
            $sub_array[] = $row["autor"];
            $sub_array[] = $row["editorial"];
            $sub_array[] = $row["isbn"];
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="leerL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-primary btn-icon"><div>Ver</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "buscarT":
        $datos = $biblioteca->BuscarT($_GET["a"], $_GET["b"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("BIBLIOTECA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $crear = $row["crear"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["librodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["anio"];
            $sub_array[] = $row["tipo"];
            $sub_array[] = $row["autor"];
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="leerL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-primary btn-icon"><div>Ver</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;    
    case "buscarR":
        $datos = $biblioteca->BuscarR($_GET["a"], $_GET["b"], $_GET["c"], $_GET["d"], $_GET["e"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("BIBLIOTECA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $crear = $row["crear"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["librodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["anio"];
            $sub_array[] = $row["tipo"];
            $sub_array[] = $row["autor"];
            $sub_array[] = $row["editorial"];
            $sub_array[] = $row["isbn"];
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="leerL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-primary btn-icon"><div>Ver</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "buscarV":
        $datos = $biblioteca->BuscarV($_GET["a"], $_GET["b"], $_GET["c"], $_GET["d"], $_GET["e"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("BIBLIOTECA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $crear = $row["crear"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["librodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["anio"];
            $sub_array[] = $row["tipo"];
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminarL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="leerL(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-primary btn-icon"><div>Ver</div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;        
}
?>
